package com.bonus.canteen.core.order.deprecated.param;

import cn.hutool.core.util.ObjectUtil;
import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalTime;
import java.util.List;

public class MacOrdParam implements Serializable {
   private Integer type;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   private Long shopstallId;
   private Long intervalId;
   @ApiModelProperty("餐次类型")
   private Integer mealtimeType;
   private Integer payState;
   private Integer ordState;
   private Integer notOrdState;
   private LocalDate localdate;
   private LocalDate localdateEnd;
   @JSONField(
      format = "HH:mm:ss"
   )
   private LocalTime queryTime;
   private Long custId;
   private String serialNum;
   private Integer sourceType;
   private List<Integer> sourceTypeList;
   @ApiModelProperty("配送方式")
   private Integer deliveryType;
   private Integer headerSourceType;
   @ApiModelProperty("设备sn码")
   private String machineSn;
   @ApiModelProperty("核身方式")
   private Integer nuClearMode;
   private String orderScript;
   private String authCode;
   @ApiModelProperty("查询天数")
   private Integer days;

   public Long getCanteenId() {
      boolean b = ObjectUtil.isNull(this.canteenId) || this.canteenId == -1L || this.canteenId == 0L;
      return b ? null : this.canteenId;
   }

   public Long getShopstallId() {
      boolean b = ObjectUtil.isNull(this.shopstallId) || this.shopstallId == -1L || this.shopstallId == 0L;
      return b ? null : this.shopstallId;
   }

   public Integer getType() {
      return this.type;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Integer getPayState() {
      return this.payState;
   }

   public Integer getOrdState() {
      return this.ordState;
   }

   public Integer getNotOrdState() {
      return this.notOrdState;
   }

   public LocalDate getLocaldate() {
      return this.localdate;
   }

   public LocalDate getLocaldateEnd() {
      return this.localdateEnd;
   }

   public LocalTime getQueryTime() {
      return this.queryTime;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public List<Integer> getSourceTypeList() {
      return this.sourceTypeList;
   }

   public Integer getDeliveryType() {
      return this.deliveryType;
   }

   public Integer getHeaderSourceType() {
      return this.headerSourceType;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public String getOrderScript() {
      return this.orderScript;
   }

   public String getAuthCode() {
      return this.authCode;
   }

   public Integer getDays() {
      return this.days;
   }

   public void setType(final Integer type) {
      this.type = type;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setPayState(final Integer payState) {
      this.payState = payState;
   }

   public void setOrdState(final Integer ordState) {
      this.ordState = ordState;
   }

   public void setNotOrdState(final Integer notOrdState) {
      this.notOrdState = notOrdState;
   }

   public void setLocaldate(final LocalDate localdate) {
      this.localdate = localdate;
   }

   public void setLocaldateEnd(final LocalDate localdateEnd) {
      this.localdateEnd = localdateEnd;
   }

   public void setQueryTime(final LocalTime queryTime) {
      this.queryTime = queryTime;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setSourceTypeList(final List<Integer> sourceTypeList) {
      this.sourceTypeList = sourceTypeList;
   }

   public void setDeliveryType(final Integer deliveryType) {
      this.deliveryType = deliveryType;
   }

   public void setHeaderSourceType(final Integer headerSourceType) {
      this.headerSourceType = headerSourceType;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setOrderScript(final String orderScript) {
      this.orderScript = orderScript;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

   public void setDays(final Integer days) {
      this.days = days;
   }

}
